import envalid from "envalid";

const { bool, str, url, testOnly } = envalid;

export default envalid.cleanEnv(process.env, {
  KHIPU_BASE_PATH: url({
    desc: "The Khipu API base URL",
    default: "https://khipu.com/api/2.0"
  }),
  KHIPU_RECEIVER_ID: str({
    desc: "A Khipu account ID",
    devDefault: testOnly("YOUR_KHIPU_ID")
  }),
  KHIPU_SECRET: str({
    desc: "A private Khipu API key",
    devDefault: testOnly("YOUR_PRIVATE_KHIPU_API_KEY")
  }),
  KHIPU_SEND_NOTIFICATION: bool({
    desc: "Whether to use or not the notification endpoint",
    default: false
  })
}, {
  dotEnvPath: null
});
